package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.custom.hireapproval.app.*;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class OAHireSalaryData extends CoreBillBase implements IOAHireSalaryData
{
    public OAHireSalaryData()
    {
        super();
        registerInterface(IOAHireSalaryData.class, this);
    }
    public OAHireSalaryData(Context ctx)
    {
        super(ctx);
        registerInterface(IOAHireSalaryData.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("4B317CA6");
    }
    private OAHireSalaryDataController getController() throws BOSException
    {
        return (OAHireSalaryDataController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public OAHireSalaryDataCollection getOAHireSalaryDataCollection() throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public OAHireSalaryDataCollection getOAHireSalaryDataCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public OAHireSalaryDataCollection getOAHireSalaryDataCollection(String oql) throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public OAHireSalaryDataInfo getOAHireSalaryDataInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getOAHireSalaryDataInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public OAHireSalaryDataInfo getOAHireSalaryDataInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getOAHireSalaryDataInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public OAHireSalaryDataInfo getOAHireSalaryDataInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getOAHireSalaryDataInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *通过证件号码获取单据信息 -User defined method
     *@param idNumber 身份证号码
     *@param passport 其他证件号码
     *@return
     */
    public OAHireSalaryDataInfo getOAHireSalaryDataByIdNumber(String idNumber, String passport) throws BOSException
    {
        try {
            return getController().getOAHireSalaryDataByIdNumber(getContext(), idNumber, passport);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *没有匹配到单据就创建一个新单据对象-User defined method
     *@param idNumber 身份证号码
     *@param passport 其他证件号码
     *@return
     */
    public OAHireSalaryDataInfo getOrCreateOAHireSalaryDataByIdNumber(String idNumber, String passport) throws BOSException
    {
        try {
            return getController().getOrCreateOAHireSalaryDataByIdNumber(getContext(), idNumber, passport);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *是否可以执行-User defined method
     *@param billId 单据id
     *@return
     */
    public boolean isCanExecute(String billId) throws BOSException
    {
        try {
            return getController().isCanExecute(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *设置执行中-User defined method
     *@param billId 单据id
     */
    public void setExecuting(String billId) throws BOSException
    {
        try {
            getController().setExecuting(getContext(), billId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}